# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_crl
Version: git4ef030c
Release: 1.ndias%{?dist}
Summary: Nagios plugin to check CRL expiry in hours

License: GPLv3
URL:     https://github.com/RaymiiOrg/nagios/tree/master/check_crl
Source0: https://github.com/RaymiiOrg/nagios/archive/refs/heads/master.tar.gz

BuildArch: noarch

Requires: /usr/bin/perl

%description
This is a nagios plugin which you can use to check if a CRL (Certificate
Revocation List, public list with revoked certificates) is still valid. This is
based on the check_crl.py plugin from Michele Baldessari. It is modified it so
that it checks the time in minutes (for more precision) instead of days, it has
a GMT time comparison bug fixed and I've added error handling so that if the
plugin cannot get a crl file (because the webserver is down) it gives a
Critical error in nagios.

%prep
%setup -q -n nagios-master


%build


%install
install -p -m 755 -D check_crl/check_crl.py %{buildroot}%{_libdir}/nagios/plugins/check_crl.py


%files
%doc README.md
%license

%{_libdir}/nagios/plugins/check_crl.py

%changelog
* Sun Jul 17 2022 Nuno Dias <Nuno.Dias@gmail.com> - git4ef030c-1.ndias
- Version 4ef030c
